SDL_HINT_HIDAPI_IGNORE_DEVICES(3)

NAME
SDL_HINT_HIDAPI_IGNORE_DEVICES - A variable containing a list of devices to ignore in SDL_hid_enumerate ().

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_HIDAPI_IGNORE_DEVICES SDL_HIDAPI_IGNORE_DEVICES"

DESCRIPTION
The format of the string is a comma separated list of USB VID/PID pairs in hexadecimal form, e.g. 0xAAAA/0xBBBB,0xCCCC/0xDDDD For example, to ignore the Shanwan DS3 controller and any Valve controller, you might use the string "0x2563/0x0523,0x28de/0x0000"

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.